﻿.hamburger {
  display: block;
  position: fixed;
  z-index: 3;
  right: 20px;
  top: 20px;
  width: 42px;
  height: 42px;
  cursor: pointer;
  text-align: center;
}
.hamburger span {
  display: block;
  position: absolute;
  height: 3px;
  background: #14b7f3;
  -webkit-transition: 0.3s ease-in-out;
  -moz-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
  right: 0;
}
.hamburger span:nth-child(1) {
  width: 10px;
  top: 10px;
}
.hamburger span:nth-child(2) {
  width: 20px;
  top: 20px;
}
.hamburger span:nth-child(3) {
  top: 30px;
  width: 30px;
}
.hamburger.active span:nth-child(1) {
  width: 30px;
  top: 16px;
  right: 0;
  background: #fff;
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
.hamburger.active span:nth-child(2), .hamburger.active span:nth-child(3) {
  width: 30px;
  top: 16px;
  background: #fff;
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  transform: rotate(45deg);
}
nav.globalMenuSp {
  position: fixed;
  z-index: 2;
  top: 0;
  right: 0;
  color: #fff;
  background: #14b7f3;
  text-align: center;
  width: 100%;
  transform: scale(0, 0);
  transition: all 0.6s;
}
nav.globalMenuSp ul {
  margin: 0 auto;
  padding: 0;
  width: 100%;
}
nav.globalMenuSp ul li {
  list-style-type: none;
  padding: 0;
  width: 100%;
  transition: 0.4s all;
}
nav.globalMenuSp ul li:last-child {
  padding-bottom: 0;
}
nav.globalMenuSp ul li:hover {
  background: #ddd;
}
nav.globalMenuSp ul li a {
  display: block;
  color: #fff;
  padding: 1em 0;
  text-decoration: none;
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 800;
}
nav.globalMenuSp.active {
  opacity: 100;
  display: block;
  transform: scale(1, 1);
}
.menu-text {
  font-size: 12px;
  color: #14b7f3;
  position: absolute;
  bottom: -16px;
  right: 0;
  width: 100%;
  text-align: center;
  transition: 0.3s ease-in-out;
  font-weight: 800;
}
.hamburger.active .menu-text {
  opacity: 0;
  pointer-events: none;
}